import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, c = (n, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, i) : t, p = n.length - 1, o; p >= 0; p--)
    (o = n[p]) && (e = (r ? o(t, i, e) : o(e)) || e);
  return r && e && m(t, i, e), e;
};
let s = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--signEmptyLarge", this.class = "c-pieIcon c-pieIcon--signEmptyLarge", this.name = "IconSignEmptyLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" class="c-pieIcon c-pieIcon--signEmptyLarge"><g clip-path="url(#prefix__a)"><path d="M26.645 11.6h-4.474L16.8 4.95h-1.39l-5.37 6.65H5.566a2.72 2.72 0 0 0-1.89.794 2.7 2.7 0 0 0-.795 1.885V24.7c0 .695.298 1.39.795 1.886a2.72 2.72 0 0 0 1.89.794h20.88c.696 0 1.392-.298 1.89-.794.497-.496.795-1.19.795-1.886V14.28a2.72 2.72 0 0 0-2.685-2.68h.2Zm-10.44-4.665 3.778 4.665h-7.557zM27.54 24.7c0 .199 0 .497-.298.596-.299.1-.398.298-.597.298H5.765c-.2 0-.498 0-.597-.298q-.299-.298-.298-.596V14.28c0-.2 0-.497.298-.596q.299-.298.596-.298h20.881c.199 0 .497 0 .597.298s.298.397.298.595z"></path></g></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  h("icon-sign-empty-large")
], s);
export {
  s as IconSignEmptyLarge
};
